## groovy.grape
Class GrabAnnotationTransformation

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              groovy.grape.GrabAnnotationTransformation

All Implemented Interfaces:
  GroovyClassVisitor, GroovyCodeVisitor, ASTTransformation

    public class GrabAnnotationTransformation

extends ClassCodeVisitorSupport
implements ASTTransformation

Transformation for declarative dependency management.

Constructor Summary
`GrabAnnotationTransformation()`

Method Summary
`SourceUnit` `getSourceUnit()`
`void` `visit(ASTNode[] nodes, SourceUnit source)` The call made when the compiler encounters an AST Transformation Annotation
`void` `visitAnnotations(AnnotatedNode node)` Adds the annotation to the internal target list if a match is found.

Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

`addError, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop`

Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

`visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitDeclarationExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrabAnnotationTransformation

    public GrabAnnotationTransformation()

Method Detail

### getSourceUnit

    public SourceUnit getSourceUnit()

  Specified by:
    `getSourceUnit` in class `ClassCodeVisitorSupport`

### visit

    public void visit(ASTNode[] nodes,
                      SourceUnit source)

  Description copied from interface: `ASTTransformation`
  The call made when the compiler encounters an AST Transformation Annotation

  Specified by:
    `visit` in interface `ASTTransformation`
  Parameters:
    `nodes` - The ASTnodes when the call was triggered
    `source` - The source unit being compiled

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

  Adds the annotation to the internal target list if a match is found.

  Overrides:
    `visitAnnotations` in class `ClassCodeVisitorSupport`
  Parameters:
    `node` - the AST node we are processing

Copyright © 2003-2009 The Codehaus. All rights reserved.